Bug 1436813 - pystache: python3-pystache is missing Python 3 version of executables
Summary: pystache: python3-pystache is missing Python 3 version of executables
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pystache
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PY3-EXECUTABLES
TreeView+ depends on / blocked
 
Reported: 2017-03-28 17:59 UTC by Iryna Shcherbina
Modified: 2017-11-01 00:01 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-01 00:01:23 UTC


Attachments (Terms of Use)
Fix of missing Python 3 version executables (4.93 KB, patch)
2017-07-24 11:00 UTC, Jan Beran
no flags Details | Diff

Description Iryna Shcherbina 2017-03-28 17:59:20 UTC
The Python 3 subpackage python3-pystache is missing executables available in the Python 2 subpackage.

According to the Fedora Packaging guidelines for Python [0], if a Python package that supports Python 3 installs executables into /usr/bin,  then either both Python versions of the executables should be packaged, or only the Python 3 version, depending on the functionality they provide.
(Note the "should": having Python 2-only executables is permitted, but strongly discouraged.)

Is it intentional for this particular package?

In case it is not intentional, please provide a Python 3 version of executable, or you can just switch to Python 3 if the functionality is the same regardless of the Python version. The guide for porting Python-based RPMs is available here [1] and you may refer to it for more instructions.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing the issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2017-07-24 11:00 UTC
Created attachment 1303575 [details]
Fix of missing Python 3 version executables

Comment 2 Jan Beran 2017-07-24 11:01:26 UTC
Hello Ankur,

may I ask you to review the updated spec file, and if it is correct, to make a new Fedora build? Thank you.

Comment 3 Fedora Update System 2017-07-24 13:25:41 UTC
pystache-0.5.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b9d355729

Comment 4 Ankur Sinha (FranciscoD) 2017-07-24 13:26:08 UTC
Thanks, Jan. Updated f27 and f26, and pushed an update.

Comment 5 Fedora Update System 2017-07-25 04:26:17 UTC
pystache-0.5.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b9d355729

Comment 6 Jan Kurik 2017-08-15 08:24:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 7 Fedora Update System 2017-11-01 00:01:23 UTC
pystache-0.5.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.